org.apache.hc.client5.http.entity.mime

## Class MimeField

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.MimeField

    public class MimeField
    extends Object

Minimal MIME field.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`MimeField(MimeField from)`
`MimeField(String name, String value)`
`MimeField(String name, String value, List<org.apache.hc.core5.http.NameValuePair> parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBody()`
`String` `getName()`
`List<org.apache.hc.core5.http.NameValuePair>` `getParameters()`
`String` `getValue()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MimeField

    public MimeField(String name,
                     String value)

#### MimeField

    public MimeField(String name,
                     String value,
                     List<org.apache.hc.core5.http.NameValuePair> parameters)

Since:
  4.6

#### MimeField

    public MimeField(MimeField from)

### Method Detail

#### getName

    public String getName()

#### getValue

    public String getValue()

Since:
  4.6

#### getBody

    public String getBody()

#### getParameters

    public List<org.apache.hc.core5.http.NameValuePair> getParameters()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`